Skip to main content

Save domain owner

Create or update the domain owner details for the account. A domain owner is required before you can order domains to register them. This endpoint replaces the saved owner details, so the request body must include the complete domain owner object.

Request

Endpoint

POST https://api.woodpecker.co/rest/v2/domains/owner

Headers

x-api-key: {YOUR_API_KEY}
Content-Type: application/json

For details on how to authenticate your requests, please see the authentication guide.

Body

{
"email": "owner@piedpiper.com",
"first_name": "Richard",
"last_name": "Hendricks",
"company_name": "Pied Piper",
"address": "5230 Newell Road",
"city": "Palo Alto",
"state": "CA",
"country": "US",
"zip_code": "94303",
"phone": "+16505550100",
"configuration": {
"default_domain_redirect_url": "https://piedpiper.com",
"default_email_forward_address": "forward@piedpiper.com"
}
}

Body schema

FieldTypeRequiredDescription
emailstringYesOwner email address
first_namestringYesOwner first name
last_namestringYesOwner last name
company_namestringNoCompany name
addressstringYesOwner address
citystringYesOwner city
statestringYesOwner state or region
countrystringYesOwner country
zip_codestringYesPostal code in the format valid for the selected country
phonestringYesPhone number valid for the selected country
configurationobjectNoDefault settings for ordered domains
  └─ default_domain_redirect_urlstringNoDefault domain redirect URL. If not empty, it must start with http:// or https://
  └─ default_email_forward_addressstringNoDefault email forwarding address. If not empty, it must be a valid email address

Request samples

Save domain owner

curl --request POST \
--url "https://api.woodpecker.co/rest/v2/domains/owner" \
--header "x-api-key: {YOUR_API_KEY}" \
--header "Content-Type: application/json" \
--data '{
"email": "owner@piedpiper.com",
"first_name": "Richard",
"last_name": "Hendricks",
"company_name": "Pied Piper",
"address": "5230 Newell Road",
"city": "Palo Alto",
"state": "CA",
"country": "US",
"zip_code": "94303",
"phone": "+16505550100",
"configuration": {
"default_domain_redirect_url": "https://piedpiper.com",
"default_email_forward_address": "forward@piedpiper.com"
}
}'

Response

Response examples

Request processed successfully. Owner created or updated

{
"email": "owner@piedpiper.com",
"first_name": "Richard",
"last_name": "Hendricks",
"company_name": "Pied Piper",
"address": "5230 Newell Road",
"city": "Palo Alto",
"state": "CA",
"country": "US",
"zip_code": "94303",
"phone": "+1 650 555 0100",
"configuration": {
"default_domain_redirect_url": "https://piedpiper.com",
"default_email_forward_address": "forward@piedpiper.com"
}
}

Body schema

FieldTypeDescription
emailstringOwner email address
first_namestringOwner first name
last_namestringOwner last name
company_namestring/nullCompany name
addressstringOwner address
citystringOwner city
statestringOwner state or region
countrystringOwner country code
zip_codestringOwner postal code
phonestringOwner phone number
configurationobjectDefault domain settings
  └─ default_domain_redirect_urlstring/nullDefault redirect URL
  └─ default_email_forward_addressstring/nullDefault forwarding address